std::enable_if< bool, _Tp >(3cxx)

NAME
std::enable_if< bool, _Tp > - Define a member typedef type only if a boolean constant is true.

SYNOPSIS

#include <type_traits>

Detailed Description

  template<bool, typename _Tp = void>
struct std::enable_if< bool, _Tp >"Define a member typedef type only if a boolean constant is true.

Author

Generated automatically by Doxygen for libstdc++ from the source code.